%define upstream_name pyftpdlib

Name:		python-%{upstream_name}
Version:	1.2.0
Release:	%mkrel 4
Summary:	Python FTP server library
Group:		System/Libraries
License:	MIT
URL:		http://code.google.com/p/pyftpdlib/
Source0:	http://pyftpdlib.googlecode.com/files/pyftpdlib-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	python

%description
Python FTP server library provides a high-level portable interface to easily
write asynchronous FTP servers with Python. pyftpdlib is currently the most
complete RFC-959 FTP server implementation available for Python programming
language.

%package -n python3-%{upstream_name}
Summary:	Python FTP server library
BuildRequires:	python3

%description -n python3-%{upstream_name}
Python FTP server library provides a high-level portable interface to easily
write asynchronous FTP servers with Python. pyftpdlib is currently the most
complete RFC-959 FTP server implementation available for Python programming
language.

%prep
%setup -q -n %{upstream_name}-%{version}

cp -a . %{py3dir}

%build
%{__python} setup.py build

pushd %{py3dir}
%{__python3} setup.py build
popd

%install
rm -rf %{buildroot}
%{__python} setup.py install --root=%{buildroot} --compile --optimize=2

pushd %{py3dir}
%{__python3} setup.py install --root=%{buildroot} --compile --optimize=2
popd

%files
%doc CREDITS HISTORY INSTALL LICENSE README
%{python_sitelib}/%{upstream_name}
%{python_sitelib}/%{upstream_name}-%{version}-py%{pyver}.egg-info

%files -n python3-%{upstream_name}
%doc CREDITS HISTORY INSTALL LICENSE README
%{python3_sitelib}/%{upstream_name}
%{python3_sitelib}/%{upstream_name}-%{version}-py%{py3ver}.egg-info


%changelog
* Tue Oct 22 2013 umeabot <umeabot> 1.2.0-4.mga4
+ Revision: 543978
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.2.0-3.mga4
+ Revision: 499201
- Rebuild to add different pythonegg provides for python 2 and 3

* Tue Sep 03 2013 guillomovitch <guillomovitch> 1.2.0-2.mga4
+ Revision: 474849
- add python3 version

* Fri Aug 09 2013 guillomovitch <guillomovitch> 1.2.0-1.mga4
+ Revision: 464947
- new version

* Sun Jan 13 2013 umeabot <umeabot> 0.7.0-2.mga3
+ Revision: 379339
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jun 08 2012 guillomovitch <guillomovitch> 0.7.0-1.mga3
+ Revision: 257609
- imported package python-pyftpdlib

